
QGIS Application - Bug report #4309

File browser: loaded layers do not behave the same way as those loaded through standard dialog

2011-09-24 01:29 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Martin Dobias

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 14246

Description

e.g.

    -  .qml styles are not automatically loaded if they are present in the same folder with the same name

    -  point shapefiles are not available for GDALTools interpolation

    -  same for GRASS analyses (e.g. v.in.ogr)

    -  in the legend they are displayed with extension (e.g. points.shp instead of points).

I believe most or all of this derives from browser adding the file extension.

History

#1 - 2011-10-02 11:46 AM - Giovanni Manghi

- Assignee set to Martin Dobias

- Category changed from C++ Plugins to GUI

Seems to me is not listed as a plugin.

#2 - 2011-10-02 11:53 AM - Giovanni Manghi

see also #4296

#3 - 2011-10-03 01:56 PM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Should be fixed in commit:3350c9c and commit:6999c89 - at least with shapefiles. Some files that OGR loads actually may be a collection of layers - in

those cases the mentioned problems with qml, gdaltools or grass would be still there, but that is a different issue.
